Prenetics Global Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/prenetics-global-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1761868800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.prenetics.com/news-releases/news-release-details/prenetics-bolsters-bitcoin-treasury-strategic-acquisition-100",
    "holding_balance": 378.4213,
    "holding_net_change": 103.0,
    "transaction_value_usd": 11230000.0,
    "average_entry_value_usd": 109029.13,
    "transaction_value_calculated": false
  },
  {
    "date": 1763078400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.prenetics.com/news-releases/news-release-details/prenetics-bolsters-bitcoin-treasury-strategic-acquisition-100",
    "holding_balance": 491.0341,
    "holding_net_change": 113.61,
    "transaction_value_usd": 11380000.0,
    "average_entry_value_usd": 100164.77,
    "transaction_value_calculated": false
  },
  {
    "date": 1764806400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.prenetics.com/news-releases/news-release-details/prenetics-announces-update-capital-allocation-strategy-ceases",
    "holding_balance": 510.0341,
    "holding_net_change": 19.0,
    "transaction_value_usd": 1819635.06,
    "average_entry_value_usd": 95770.27,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    510.0341
  ],
  [
    1782950400000,
    510.0341
  ],
  [
    1783036800000,
    510.0341
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    30583965.291155
  ],
  [
    1782950400000,
    31360890.035003
  ],
  [
    1783036800000,
    31890387.036259
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 18.42,
    "date": "2026-06-30",
    "high": 19.3,
    "open": 18.42,
    "close": 19.12,
    "volume": 61100
  },
  {
    "low": 17.82,
    "date": "2026-07-01",
    "high": 19.455,
    "open": 18.85,
    "close": 17.89,
    "volume": 65900
  },
  {
    "low": 16.59,
    "date": "2026-07-02",
    "high": 19.365,
    "open": 18.04,
    "close": 16.93,
    "volume": 122300
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.49,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.775
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -19.27,
  "six_month_return": 7.56,
  "three_month_return": -13.49
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/prenetics-global-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 11.1,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "down"
}